Package csb :: Package bio :: Package io :: Module wwpdb :: Class FileBuilder

[frames] | no frames]

# Class FileBuilder

source code

    object --+
             |
            FileBuilder

Known Subclasses:
  - PDBFileBuilder

Base abstract files for all structure file formatters. Defines a common step-wise interface according to the Builder pattern.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, output) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_header(self, master_structure) | source code

add_structure(self, structure) | source code

finalize(self) | source code

write(self, text) Write a chunk of text | source code

writeline(self, text) Write a chunk of text and append a new line terminator | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``add_header``'``,` `'``add_structure``'``])``

Properties
callable | isnull ISNULL(X, Y) function
stream | output Destination stream
Inherited from `object`: `__class__`

Method Details

### __init__(self, output)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `output` (stream) - output stream (this is where the product is constructed)
Overrides: object.__init__
  (inherited documentation)

Property Details

### isnull

ISNULL(X, Y) function

Get Method:
  unreachable.isnull(self) - ISNULL(X, Y) function
Type:
  callable

### output

Destination stream

Get Method:
  unreachable.output(self) - Destination stream
Type:
  stream